Dynalinks
Projects

Verify custom domain for a project

GET
/projects/{id}/verify_custom_domain
Manage projects. Requires a master API key. Experimental: the request and response shapes may still change.

Verifies the custom domain configuration for a project by checking DNS records

Authorization

headerAuthorization<token>

Format: Authorization: Token {api_key}

Path Parameters

id*string

UUID of the project

Response Body

Domain verification completed

application/json
  1. response
custom_domain?string

The custom domain that was verified

custom_domain_verified?boolean

Current verification status of the domain after running verification

Example Request
curl -X GET 'https://dynalinks.app/api/v1/projects/string/verify_custom_domain'
Example Response
{  "custom_domain": "example.com",  "custom_domain_verified": true}